<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_FlightElement StructType
 * @subpackage Structs
 */
class JP_FlightElement extends JP_BaseElement
{
    /**
     * The FlightBookingInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightBookingInfo
     */
    public $FlightBookingInfo;
    /**
     * Constructor method for JP_FlightElement
     * @uses JP_FlightElement::setFlightBookingInfo()
     * @param \StructType\JP_FlightBookingInfo $flightBookingInfo
     */
    public function __construct(\StructType\JP_FlightBookingInfo $flightBookingInfo = null)
    {
        $this
            ->setFlightBookingInfo($flightBookingInfo);
    }
    /**
     * Get FlightBookingInfo value
     * @return \StructType\JP_FlightBookingInfo|null
     */
    public function getFlightBookingInfo()
    {
        return $this->FlightBookingInfo;
    }
    /**
     * Set FlightBookingInfo value
     * @param \StructType\JP_FlightBookingInfo $flightBookingInfo
     * @return \StructType\JP_FlightElement
     */
    public function setFlightBookingInfo(\StructType\JP_FlightBookingInfo $flightBookingInfo = null)
    {
        $this->FlightBookingInfo = $flightBookingInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_FlightElement
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
